import { ChangeDetectorRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { TableColumn, TableOptions, TableRowExpandEmitter } from '@ironsource/fusion-ui/components/table/common/entities';
import { TableService } from '@ironsource/fusion-ui/components/table/common/services';
import * as i0 from "@angular/core";
export declare class TableBasicComponent implements OnInit, OnDestroy {
    tableService: TableService;
    private cdr;
    rows: {
        [key: string]: any;
    }[];
    columns: TableColumn[];
    expandedRows: {
        [key: string]: boolean;
    };
    set options(value: TableOptions);
    set tableClientWidth(value: number);
    rowSelected: EventEmitter<any>;
    expandRow: EventEmitter<TableRowExpandEmitter>;
    get options(): TableOptions;
    get fullCellColspan(): number;
    get getHalfTableClientWidth(): number;
    childRowOptions: TableOptions;
    loadingChildRows: {
        [key: number]: boolean;
    };
    failedChildRows: {
        [key: number]: boolean;
    };
    private _halfTableClientWidth;
    private tableOptions;
    private onDestroy$;
    constructor(tableService: TableService, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    trackByRowInvoke(): any;
    trackByRow(index: any, row: any): any;
    isRowDisabled(row: any): boolean;
    getRowClass(row: any, rowIndex: any): any[];
    onExpandRow({ rowIndex, row, isExpanded }: {
        rowIndex: any;
        row: any;
        isExpanded: any;
    }, updateMap?: boolean): void;
    displayExpandableRows(rowIndex: number | string): boolean;
    getInnerRows(index: any): any[];
    isExpanded(rowIndex: number | string): boolean;
    hasAfterSticky(isLast: any, hasMore: any, rowIndex: any): boolean;
    private onExpendRowSuccess;
    private onExpendRowFailed;
    static ɵfac: i0.ɵɵFactoryDeclaration<TableBasicComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TableBasicComponent, "[fusionTableBasic]", never, { "rows": { "alias": "rows"; "required": false; }; "columns": { "alias": "columns"; "required": false; }; "expandedRows": { "alias": "expandedRows"; "required": false; }; "options": { "alias": "options"; "required": false; }; "tableClientWidth": { "alias": "tableClientWidth"; "required": false; }; }, { "rowSelected": "rowSelected"; "expandRow": "expandRow"; }, never, never, false, never>;
}
